API referenceAffiliates
Update affiliate programme settings
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/stores/string/affiliates/settings" \ -H "Content-Type: application/json" \ -d '{}'{ "enabled": true, "enrollmentMode": "manual", "codeEditable": true, "attributionMode": "per_order", "attributionWindowDays": -9007199254740991, "minOrderMinor": -9007199254740991, "maxCommissionMinor": -9007199254740991, "thresholdCurrency": "string", "balanceMode": "shared", "transferEnabled": true, "payoutsEnabled": true, "payoutMinMinor": -9007199254740991, "payoutInstructions": "string", "applicationQuestion": "string", "referralBaseUrl": "string"}